import api from './api'

/**
 * 基本信息
 */
export function getUserInfo(data) {
    return api.get('/member/user/get', data, {login: true})
}

/**
 * 获取收藏产品,或足迹
 */
export function relationCollectUser(data) {
    return api.get('/relation/collect/user', data, {login: true})
}

/**
 * 修改用户头像
 */
export function updateAvatar(data) {
    return api.post('/member/user/update-avatar', data, {login: true})
}

/**
 * 修改用户昵称或者生日
 */
export function updateNickname(data) {
    return api.put(`/member/user/update-nickname?nickname=${ data.nickname }&birthday=${ data.birthday }&sex=${ data.sex }`, data, {login: true})
}

/**
 * 修改用户手机
 */
export function updateMobile(data) {
    return api.post('/member/user/update-mobile', data, {login: true})
}

/**
 * 修改用户信息
 * @param data
 * @returns {*}
 */
export const updateUserInfo = (data) => api.put(`/member/user/update-nickname?nickname=${ data.nickname }&birthday=${ data.birthday }&sex=${ data.sex }`)

